

var width = 800; 
var height = 200; 

var dataset = [];

var nP = 30; 


var padding = 20; 
var margin = 4; 
var maxV = 300; 

for (var i = 0; i<nP; i++) {
    var v = Math.random()* maxV;
    dataset.push(v); 
}

//Create SVG element
var svg = d3.select("body")
    .append("svg")
    .attr("width",  width)
    .attr("height", height);

var xScale = d3.scale.linear()
    .domain([0,nP])
    .range([0,width]); 

var yScale = d3.scale.linear()
    .domain([d3.max(dataset, function(d) { return d;}),0])
    .range([0,height-padding]); 


// draw bar chart first 
svg.selectAll("rect")
    .data(dataset)
    .enter()
    .append("rect")
    .attr("x",function(d,i) {
	return padding + i* (width-padding)/nP; })
    .attr("y",function(d,i) {
	return height - padding - margin - (height-padding)/maxV * d ; })
    .attr("width", (width-padding)/nP - margin)
    .attr("height", function(d,i) {
	return (height-padding)/maxV * d; })
    .attr("fill", "red"); 


// draw text
/*
svg.selectAll("text")
    .data(dataset)
    .enter()
    .append("text")
    .attr("x",function(d,i) {
	return i* 31;
	 })
    .attr("y",10)
    .text(function(d) {return "b";}) 
    .attr("fill", "red");
*/
    

// draw X axis 
svg.append("g")
    .attr("transform", "translate("+padding+","+ (height-padding) +")")
    .attr("class", "axis") 
    .call(d3.svg.axis()
	  .scale(xScale) 
	  .orient("bottom")
          .ticks(nP))

// draw Y axis 
svg.append("g")
    .attr("transform", "translate(0, 0)")
    .attr("class", "axis") 
    .call(d3.svg.axis()
	  .scale(yScale) 
	  .orient("right")
	  .ticks(7)
	  ); 

